### Class

# Clutter ColorizeEffect

#### Description [src]

    class Clutter.ColorizeEffect : Clutter.OffscreenEffect
    {
      /* No available fields */
    }

A colorization effect

`ClutterColorizeEffect` is a sub-class of `ClutterEffect` that colorizes an actor with the given tint.

#### Ancestors

- ClutterOffscreenEffect
- ClutterEffect
- ClutterActorMeta
- GInitiallyUnowned
- GObject

#### Constructors

###### clutter_colorize_effect_new

Creates a new `ClutterColorizeEffect` to be used with `clutter_actor_add_effect()`.

#### Instance methods

###### clutter_colorize_effect_get_tint

Retrieves the tint used by `effect`.

###### clutter_colorize_effect_set_tint

Sets the tint to be used when colorizing.

##### Methods inherited from ClutterOffscreenEffect (5)

###### clutter_offscreen_effect_create_texture

Calls the `Clutter.OffscreenEffectClass.create_texture` virtual function of the `effect`.

###### clutter_offscreen_effect_get_pipeline

Retrieves the pipeline used as a render target for the offscreen buffer created by `effect`.

###### clutter_offscreen_effect_get_target_size

Retrieves the size of the offscreen buffer used by `effect` to paint the actor to which it has been applied.

###### clutter_offscreen_effect_get_texture

Retrieves the texture used as a render target for the offscreen buffer created by `effect`.

###### clutter_offscreen_effect_paint_target

Calls the `Clutter.OffscreenEffectClass.paint_target` virtual function of the `effect`.

##### Methods inherited from ClutterEffect (1)

###### clutter_effect_queue_repaint

Queues a repaint of the effect. The effect can detect when the ‘paint’ method is called as a result of this function because it will not have the `CLUTTER_EFFECT_PAINT_ACTOR_DIRTY` flag set. In that case the effect is free to assume that the actor has not changed its appearance since the last time it was painted so it doesn’t need to call `clutter_actor_continue_paint()` if it can draw a cached image. This is mostly intended for effects that are using a %CoglOffscreen to redirect the actor (such as %ClutterOffscreenEffect). In that case the effect can save a bit of rendering time by painting the cached texture without causing the entire actor to be painted.

##### Methods inherited from ClutterActorMeta (5)

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`.

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

###### clutter_actor_meta_set_name

Sets the name of `meta`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.ColorizeEffect:tint

The tint to apply to the actor.

##### Properties inherited from ClutterActorMeta (3)

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterColorizeEffectClass {
      ClutterOffscreenEffectClass parent_class;
      CoglPipeline* base_pipeline;

    }

No description available.

###### Class members

`parent_class: ClutterOffscreenEffectClass`

  No description available.

`base_pipeline: CoglPipeline*`

  No description available.